input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

:active, :hover, :focus {
    outline: 0 !important;
    outline-offset: 0 !important;
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    width: 100%;
    display: block;
    font-weight: 400;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea, select";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: toRem(48);
        outline: none;
        color: $dark;
        box-shadow: none;
        font-weight: 400;
        font-size: toRem(14);
        line-height: toRem(20);
        padding: toRem(13) toRem(16);
        background: #fff;
        border-radius: 8px;
        display: inline-block;
        vertical-align: middle;
        border: toRem(1) solid #828C99;
        @include placeholder(#828C99);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            border-color: #55595e;
            @include placeholder(transparent);
        }

        &:disabled {
            border-color: #E3E4E4;
            background: rgba(0, 61, 228, 0.1);
        }

        &.error {
            border-color: red !important;
        }
    }

    select {
        z-index: 5;
        position: relative;
        -moz-appearance: none;
        -webkit-appearance: none;
        appearance: none;
        background: transparent !important;
    }

    textarea {
        height: auto;
        resize: none;
    }

    &__arrow {
        right: 8px;
        z-index: 1;
        top: calc(50% - 12px);
        font-size: 0;
        line-height: 0;
        height: 24px;
        fill: $blue;
        position: absolute;
        display: inline-block;
    }

    &__select-icon {
        right: 50px;
        z-index: 1;
        top: calc(50% - 12px);
        font-size: 0;
        line-height: 0;
        height: 24px;
        fill: $blue;
        position: absolute;
        display: inline-block;
    }

    &__search-button {
        right: toRem(12);
        z-index: 1;
        top: calc(50% - 12px);
        font-size: 0;
        line-height: 0;
        height: 24px;
        fill: #5D6570;
        border: none;
        outline: none;
        padding: 0;
        cursor: pointer;
        background: transparent;
        position: absolute;
        display: inline-block;
        transition: .25s;

        &:hover {
            fill: $blue;
            transition: .25s;
        }
    }

    &--sm {

        #{$input-selector} {
            color: #5D6570;
            height: toRem(32);
            border-color: #E3E4E4;
            padding: toRem(2) toRem(16) toRem(4) toRem(16);
        }
    }

    &__icon {
        fill: $blue;
        right: toRem(10);
        top: calc(50% - 12px);
        z-index: 10;
        font-size: 0;
        line-height: 0;
        width: toRem(24);
        height: toRem(24);
        position: absolute;
        display: inline-block;
    }
}

.file-field {
    display: flex;
    align-items: center;
    font-weight: 400;
    position: relative;
    color: #5D6570;
    height: toRem(32);
    cursor: pointer;
    border-radius: 8px;
    border: 1px solid #E3E4E4;
    padding: toRem(3) toRem(16);

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        visibility: hidden;
        position: absolute;
        overflow: hidden;
    }

    span {
        display: block;
        flex-grow: 1;
        max-width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    &__icon {
        fill: $blue;
        font-size: 0;
        line-height: 0;
        height: toRem(24);
        display: inline-block;
        flex-shrink: 0;
    }
}
